​
Select Service
ves-io-schema-namespace-API-List
Published April 5, 2023 | Last modified September 10, 2026
Examples of listing namespace
Usecase:
List namespace
Request using vesctl:
vesctl configuration list namespace --namespace
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: namespace-1 statusSet: [] tenant: acmecorp uid: 9ad8d68a-e127-4889-ac6e-856f11879dfeRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/web/namespaces'curl response
HTTP/1.1 200 OKContent-Length: 428Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:03:31 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "", "name": "namespace-1", "uid": "9ad8d68a-e127-4889-ac6e-856f11879dfe", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}